### Method

# Gtk Rangeset_adjustment

#### Declaration [src]

    void
    gtk_range_set_adjustment (
      GtkRange* range,
      GtkAdjustment* adjustment
    )

#### Description [src]

Sets the adjustment to be used as the “model” object for the `GtkRange`

The adjustment indicates the current range value, the minimum and maximum range values, the step/page increments used for keybindings and scrolling, and the page size.

The page size is normally 0 for `GtkScale` and nonzero for `GtkScrollbar`, and indicates the size of the visible area of the widget being scrolled. The page size affects the size of the scrollbar slider.

Sets property | `Gtk.Range:adjustment`

#### Parameters

`adjustment`

  Type: `GtkAdjustment`

  A `GtkAdjustment`

  The data is owned by the caller of the method.